Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.crypto
Class SignatureAlgorithm

    java.lang.Object
      |
      +--org.mozilla.jss.crypto.Algorithm
            |
            +--org.mozilla.jss.crypto.SignatureAlgorithm

public class SignatureAlgorithm
extends Algorithm

Algorithms that can be used for signing.

Field Summary
`private DigestAlgorithm` | `digestAlg`
`static SignatureAlgorithm` | `DSASignature` Raw DSA signing.
`static SignatureAlgorithm` | `DSASignatureWithSHA1Digest`
`private static java.util.Hashtable` | `oidMap`
`static SignatureAlgorithm` | `RSASignature` Raw RSA signing.
`static SignatureAlgorithm` | `RSASignatureWithMD2Digest`
`static SignatureAlgorithm` | `RSASignatureWithMD5Digest`
`static SignatureAlgorithm` | `RSASignatureWithSHA1Digest`
`private SignatureAlgorithm` | `signingAlg`

Fields inherited from class org.mozilla.jss.crypto.Algorithm
`ANSI_X9_ALGORITHM, CKM_DES_CBC_PAD, CKM_DES_KEY_GEN, CKM_DES3_CBC_PAD, CKM_DES3_ECB, CKM_DES3_KEY_GEN, CKM_DSA_KEY_PAIR_GEN, CKM_PBA_SHA1_WITH_SHA1_HMAC, CKM_RC4_KEY_GEN, CKM_RSA_PKCS_KEY_PAIR_GEN, CKM_SHA_1_HMAC, name, oid, oidIndex, parameterClass, SEC_OID_ANSIX9_DSA_SIGNATURE, SEC_OID_ANSIX9_DSA_SIGNATURE_WITH_SHA1_DIGEST, SEC_OID_DES_CBC, SEC_OID_DES_ECB, SEC_OID_DES_EDE3_CBC, SEC_OID_MD2, SEC_OID_MD5, SEC_OID_PKCS1_MD2_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_MD5_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_RSA_ENCRYPTION, SEC_OID_PKCS1_SHA1_WITH_RSA_ENCRYPTION, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_128_BIT_RC2_CBC, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_128_BIT_RC4, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_3KEY_TRIPLE_DES_CBC, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_40_BIT_RC2_CBC, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_40_BIT_RC4, SEC_OID_PKCS5_PBE_WITH_MD2_AND_DES_CBC, SEC_OID_PKCS5_PBE_WITH_MD5_AND_DES_CBC, SEC_OID_PKCS5_PBE_WITH_SHA1_AND_DES_CBC, SEC_OID_RC2_CBC, SEC_OID_RC4, SEC_OID_SHA1`

Constructor Summary
`protected` | `SignatureAlgorithm(int oidIndex, java.lang.String name, SignatureAlgorithm signingAlg, DigestAlgorithm digestAlg, OBJECT_IDENTIFIER oid)`

Method Summary
`static SignatureAlgorithm` | `fromOID(OBJECT_IDENTIFIER oid)` Looks up the signature algorithm with the given OID.
`DigestAlgorithm` | `getDigestAlg()` The digest portion of the signature algorithm.
`SignatureAlgorithm` | `getRawAlg()`
`Algorithm` | `getSigningAlg()` The raw encryption portion of the signature algorithm.

Methods inherited from class org.mozilla.jss.crypto.Algorithm
`getParameterClass, toOID, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### oidMap

    private static java.util.Hashtable oidMap

### signingAlg

    private SignatureAlgorithm signingAlg

### digestAlg

    private DigestAlgorithm digestAlg

### RSASignature

    public static final SignatureAlgorithm RSASignature

  Raw RSA signing. This algorithm does not do any hashing, it merely encrypts its input, which should be a hash.

### DSASignature

    public static final SignatureAlgorithm DSASignature

  Raw DSA signing. This algorithm does not do any hashing, it merely encrypts its input, which should be a hash.

### RSASignatureWithMD2Digest

    public static final SignatureAlgorithm RSASignatureWithMD2Digest

### RSASignatureWithMD5Digest

    public static final SignatureAlgorithm RSASignatureWithMD5Digest

### RSASignatureWithSHA1Digest

    public static final SignatureAlgorithm RSASignatureWithSHA1Digest

### DSASignatureWithSHA1Digest

    public static final SignatureAlgorithm DSASignatureWithSHA1Digest

Constructor Detail

### SignatureAlgorithm

    protected SignatureAlgorithm(int oidIndex,
                                 java.lang.String name,
                                 SignatureAlgorithm signingAlg,
                                 DigestAlgorithm digestAlg,
                                 OBJECT_IDENTIFIER oid)

Method Detail

### fromOID

    public static SignatureAlgorithm fromOID(OBJECT_IDENTIFIER oid)
                                      throws java.security.NoSuchAlgorithmException

  Looks up the signature algorithm with the given OID.
  Throws:
    java.security.NoSuchAlgorithmException - If no algorithm is found with this OID.

### getSigningAlg

    public Algorithm getSigningAlg()

  The raw encryption portion of the signature algorithm. For example, SignatureAlgorithm.RSASignatureWithMD2Digest.getSigningAlg == SignatureAlgorithm.RSASignature.

### getRawAlg

    public SignatureAlgorithm getRawAlg()

### getDigestAlg

    public DigestAlgorithm getDigestAlg()
                                 throws java.security.NoSuchAlgorithmException

  The digest portion of the signature algorithm.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD